package com.pdg.dungeondelver.hamquestengine.gameconstants;

public class Properties {
    public static final String Alpha = "alpha";
    public static final String AlwaysTutorial = "always-tutorial";
    public static final String ArmorType = "armor-type";
    public static final String ArmorTypes = "armor-types";
    public static final String Attack = "attack";
    public static final String AttackDie = "attack-die";
    public static final String AttackValue = "attack-value";
    public static final String Blue = "blue";
    public static final String BrokenMessage = "broken-message";
    public static final String BumpHandler = "bump-handler";
    public static final String BumpMessage = "bump-message";
    public static final String CannotExitWithAmuletMessage = "cannot-exit-with-amulet-message";
    public static final String CannotRestMessage = "cannot-rest-message";
    public static final String CreatureCount = "creature-count";
    public static final String CurrencyItemIdentifier = "currency-item-identifier";
    public static final String DefendGenerator = "defend-generator";
    public static final String DefendRoller = "defend-roller";
    public static final String Direction = "direction";
    public static final String DisarmMessage = "disarm-message";
    public static final String Durability = "durability";
    public static final String Duration = "duration";
    public static final String ExperiencePoints = "experience-points";
    public static final String GainExperienceLevelMessage = "gain-experience-level-message";
    public static final String GainExperiencePointMessage = "gain-experience-point-message";
    public static final String GainExperiencePointsMessage = "gain-experience-points-message";
    public static final String GeneratedItem = "generated-item";
    public static final String GeneratorTable = "generatorTable";
    public static final String GhoulDrainedEnergyMessage = "ghoul-drained-energy-message";
    public static final String GoOutMessage = "go-out-message";
    public static final String Green = "green";
    public static final String HealingAmount = "healing-amount";
    public static final String HealingType = "healing-type";
    public static final String Health = "health";
    public static final String HitByMessage = "hit-by-message";
    public static final String HitMessage = "hit-message";
    public static final String Identifier = "identifier";
    public static final String ImagePath = "image-path";
    public static final String InitialInventory = "initial-inventory";
    public static final String Inventory = "inventory";
    public static final String ItemBlockMessage = "item-block-message";
    public static final String ItemBlocks = "item-blocks";
    public static final String ItemCount = "item-count";
    public static final String ItemDisarms = "item-disarms";
    public static final String ItemDrops = "item-drops";
    public static final String ItemDurabilities = "item-durabilities";
    public static final String ItemIdentifier = "item-identifier";
    public static final String ItemRemoves = "itemRemoves";
    public static final String ItemType = "item-type";
    public static final String ItemUnlocks = "itemUnlocks";
    public static final String KeyHandlers = "key-handlers";
    public static final String KilledByMessage = "killed-by-message";
    public static final String KilledMessage = "killed-message";
    public static final String KillMessage = "kill-message";
    public static final String LightLevel = "light-level";
    public static final String LightRadiusImagePath = "light-radius-image-path";
    public static final String LockType = "lockType";
    public static final String MaximumValue = "maximumValue";
    public static final String MessageStatistics = "message-statistics";
    public static final String MinimumValue = "minimumValue";
    public static final String MissedByMessage = "missed-by-message";
    public static final String MissMessage = "miss-message";
    public static final String MoraleRoll = "morale-roll";
    public static final String Name = "name";
    public static final String NecromancerWeight = "necromancer-weight";
    public static final String NeedCompletedMegahamMessage = "need-completed-megaham-message";
    public static final String NeedRainbowKeyMessage = "need-rainbow-key-message";
    public static final String NumberInStock = "number-in-stock";
    public static final String NumberInStockDie = "number-in-stock-die";
    public static final String NumberInStockRoll = "number-in-stock-roll";
    public static final String NumberOfAttacks = "number-of-attacks";
    public static final String Passable = "passable";
    public static final String PickUpMessage = "pick-up-message";
    public static final String Placement = "placement";
    public static final String PlayerConfiguration = "player-configuration";
    public static final String Price = "price";
    public static final String PropertyGroup = "property-group";
    public static final String PropertyGroups = "property-groups";
    public static final String QuestCompletedMessage = "quest-completed-message";
    public static final String RandomNumberGenerator = "random-number-generator";
    public static final String Red = "red";
    public static final String RestMessage = "rest-message";
    public static final String ShopTitle = "shop-title";
    public static final String SoundEffect = "sound-effect";
    public static final String SpawnAs = "spawn-as";
    public static final String SpawnWeight = "spawn-weight";
    public static final String SpecialAttack = "special-attack";
    public static final String Speed = "speed";
    public static final String SpeedMultiplier = "speed-multiplier";
    public static final String SpeedRoll = "speed-roll";
    public static final String StepTracker = "step-tracker";
    public static final String SummonerWeight = "summoner-weight";
    public static final String Tags = "tags";
    public static final String Text = "text";
    public static final String TextColor = "text-color";
    public static final String Theme = "theme";
    public static final String Themes = "themes";
    public static final String ThiefTookGoldMessage = "thief-took-gold-message";
    public static final String ThiefTookMegahamMessage = "thief-took-megaham-message";
    public static final String TutorialDescriptionText = "tutorial-description-text";
    public static final String TutorialImagePath = "tutorial-image-path";
    public static final String TutorialTag = "tutorial-tag";
    public static final String TutorialTitleText = "tutorial-title-text";
    public static final String TwoHanded = "two-handed";
    public static final String UseMessage = "use-message";
    public static final String WonGameMessage = "won-game-message";
    public static final String XGenerator = "x-generator";
    public static final String YGenerator = "y-generator";
    public static final String Creatures="creatures";
    public static final String Creature = "creature";
    public static final String Items = "items";
    public static final String Item = "item";
    public static final String LockTypeWeight = "lock-type-weight";
    public static final String AmuletItemName = "amulet-item-name";
    public static final String QuestItemName = "quest-item-name";
    public static final String Columns = "columns";
    public static final String Rows = "rows";
    public static final String InitialExperiencePoints="initial-experience-points";
    public static final String InitialExperienceGoal="initial-experience-point-goal";
    public static final String InitialHealth="initial-health";
    public static final String HealthPerExperienceLevel="health-per-experience-level";
    public static final String ExeperienceGoalMultiplier = "experience-goal-multiplier";
    public static final String ExeperienceGoalDivisor = "experience-goal-divisor";
    public static final String InitialExperienceLevel = "initial-experience-level";
	public static final String Messages = "messages";
	public static final String Message = "message";
	public static final String Terrains = "terrains";
	public static final String Terrain = "terrain";
}
